Apache HTTPD 2.4.37 does not bundle mod_rt, mod_bmx nor mod_auth_kerb

Solution Unverified - Updated -

Issue

  • Are mod_rt, mod_bmx, and mod_auth_kerb module support dropped from JBCS Apache 2.4.37?
  • jbcs-httpd24-httpd-2.4.37-RHEL7-x86_64.zip which is zip distribution of JBCS Apache does not bundle mod_rt.so, mod_bmx.so, and mod_auth_kerb.so.
  • After upgrading to RHEL 8 from RHEL 7 Apache httpd server is failing to start with this message

    AH00526: Syntax error on line 416 of /etc/httpd/conf/httpd.conf:
    Invalid command 'KrbMethodNegotiate', perhaps misspelled or defined by a module not included in the server configuration
    

Environment

  • Red Hat Enterprise Linux (RHEL)
    • 8
  • Red Hat JBoss Core Services (JBCS) Apache HTTPD Server
    • 2.4.37
  • Red Hat JBoss Operations Network (JON)

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In